Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.render
Class Crop

    java.lang.Object
      |
      +--com.vistech.jai.render.Crop

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

public class Crop
extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Crops the image drawn over a canvas.

Version:
  1.0 11 October 2000
Author:
  Lawrence Rodrigues

Field Summary
`protected javax.swing.JMenuItem` | `crop`
`protected boolean` | `cropOn`
`protected boolean` | `cropped`
`protected java.awt.Rectangle` | `currentShape`
`protected java.awt.Point` | `diff`
`protected CompositeCanvasJAI` | `imageCanvas`
`protected boolean` | `mousePressed`
`protected java.awt.Rectangle` | `prevShape`
`protected java.awt.Point` | `shapeAnchor`

Constructor Summary
`Crop(CompositeCanvasJAI c)`

Method Summary
`void` | `crop()`
`void` | `draw(int x, int y)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`protected void` | `popupMenu(javax.swing.JComponent comp, int x, int y)`
`void` | `reset()`
`void` | `setCropOn(boolean onOrOff)`
`void` | `startDraw(int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imageCanvas

    protected CompositeCanvasJAI imageCanvas

### diff

    protected java.awt.Point diff

### shapeAnchor

    protected java.awt.Point shapeAnchor

### mousePressed

    protected boolean mousePressed

### currentShape

    protected java.awt.Rectangle currentShape

### prevShape

    protected java.awt.Rectangle prevShape

### cropOn

    protected boolean cropOn

### cropped

    protected boolean cropped

### crop

    protected javax.swing.JMenuItem crop

Constructor Detail

### Crop

    public Crop(CompositeCanvasJAI c)

Method Detail

### setCropOn

    public void setCropOn(boolean onOrOff)

### startDraw

    public void startDraw(int x,
                          int y)

### draw

    public void draw(int x,
                     int y)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### crop

    public void crop()

### reset

    public void reset()

### popupMenu

    protected void popupMenu(javax.swing.JComponent comp,
                             int x,
                             int y)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD